Bug 111484 - FILEOPEN: ole object preview is blank
Summary: FILEOPEN: ole object preview is blank
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Armin Le Grand
URL:
Whiteboard: target:6.0.0
Keywords: bibisected, regression
Depends on:
Blocks: Regressions-EMFPlus-Rework
  Show dependency treegraph
 
Reported: 2017-08-08 10:11 UTC by Xisco Faulí
Modified: 2017-08-30 19:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
sample (24.00 KB, application/msword)
2017-08-08 10:11 UTC, Xisco Faulí
Details
sample2 (54.00 KB, application/msword)
2017-08-08 10:15 UTC, Xisco Faulí
Details
sample3 (53.50 KB, application/msword)
2017-08-08 16:41 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-08-08 10:11:21 UTC
Created attachment 135267 [details]
sample

Steps to reproduce:
1. Open attached document

Observed behaviour: Ole object is empty

Versió: 6.0.0.0.alpha0+
ID de la construcció: 0342c5e8086c8200ecadbe9d52dd4ef6a093effb
CPU threads: 4; OS: Linux 4.10; UI render: per defecte; VCL: gtk3; 
Configuració local: ca-ES (ca_ES.UTF-8); Calc: group

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2017-08-08 10:13:03 UTC
regression introduced in range https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=b93d0cadb79f6652dec4d29ef20813f1d57cc708..208e66185b634ebc131121158f93f4f3ae4bd18e

related to the EMF refactoring.

Bisected with bibisect-linux64-6.0

Adding Cc: to Armin Le Grand
Comment 2 Xisco Faulí 2017-08-08 10:15:15 UTC
Created attachment 135268 [details]
sample2

Another document affected by the same problem
Comment 3 Xisco Faulí 2017-08-08 12:16:01 UTC
attachment 83969 [details] from bug 68021 is also affected
Comment 4 Xisco Faulí 2017-08-08 16:41:31 UTC
Created attachment 135305 [details]
sample3

Another document affected
Comment 5 Armin Le Grand 2017-08-21 13:38:57 UTC
Very strange - the WMF has a read error. There was no change on the principle reader itself. Need to compare with an older version...
Comment 6 Armin Le Grand 2017-08-21 16:39:52 UTC
CVhecked and found. Very bad trap - two (of several) ReadWindowMetafile usages pass a SvStream that is seeked to a StartPosition other than zero. So that seek position has to be used when constructing the VectorDataArray. OTOH there is one usage in sc that avoids that by copying the data to a MemStream to have it start-aligned, so this 'hidden' parameter passing was not clear to all callers of that function.
Solved, put on gerrit.
Comment 7 Armin Le Grand 2017-08-21 18:10:45 UTC
comitted, done
Comment 9 Xisco Faulí 2017-08-30 19:10:29 UTC
Verified in

Version: 6.0.0.0.alpha0+
Build ID: 78960ad06faca055a6d97afbc764c902d5d07f6f
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-08-30_06:31:19
Locale: es-ES (es_ES); Calc: group